# Messenger 1 Million

## Dev environment setup

### 1. Install poetry

```bash
curl -sSL https://install.python-poetry.org | python3 -
```
Optionally configure poetry to create virtual envs in project root directories
```bash
poetry config virtualenvs.in-project true
```

### 2. Setup a poetry virtual env
```bash
poetry shell
```

### 3. Install dependencies
```bash
poetry install
```

## Run scripts

```bash
python -m scripts.[script name]
```

### Examples : 

```bash
python -m scripts.find_holes
```

```bash
python -m scripts.read_top
```